Internal::prime_rehash_policy(3)

NAME
Internal::prime_rehash_policy -

SYNOPSIS

Detailed Description

Definition at line 439 of file hashtable.

  Public Member Functions
std::size_t bkt_for_elements (std::size_t n) const
float max_load_factor () const
std::pair< bool, std::size_t > need_rehash (std::size_t n_bkt, std::size_t n_elt, std::size_t n_ins) const
std::size_t next_bkt (std::size_t n) const
prime_rehash_policy (float z=1.0)

  Public Attributes
float m_growth_factor
float m_max_load_factor
std::size_t m_next_resize

Author

Generated automatically by Doxygen for libstdc++ from the source code.